Subject: Re: [PATCH ethtool 0/2] Fix condition for showing MDI-X status

From: Andrew Lunn <[email-masked]>
Date: Thu, 28 Oct 2021 17:30:28 +0200

Hi Bastian

> I found that issue running ethtool on a br53 switch port.

Is this on the user ports? With copper PHYs? Did you try fixing the
driver so it actually sets TP?

> Despite the enum names, I cannot find documentation on the MDIX fields only
> being valid for twisted pair ports -- if they are present, they should be
> valid. But maybe I am mistaken.

I'm not sure that is true. I've never seen an SFP module that can swap
around the two fibres if they happen to be the wrong way around. And
it makes no sense for BNC based cheapernet, if that actually still
exists anywhere.

       Andrew